#pragma once

#include "../lib/IB25Decoder.h"
typedef IB25Decoder* (PFCREATEB25DECORDER)(void);

class CB25
{
public:
	CB25(void);
	~CB25(void);

	BOOL Open(char *lpszInitStr);
	void Close();
	BOOL IsOpen();

	BOOL Initialize();
	BOOL Reset();

	BOOL DataPutAndGet(BYTE *pSrcBuf, DWORD dwSrcSize, BYTE **ppDstBuf, DWORD *pdwDstSize);
	BOOL DataPut(BYTE *pSrcBuf, DWORD dwSrcSize);
	BOOL DataGet(BYTE **ppDstBuf, DWORD *pdwDstSize);
	BOOL DataFlush(BYTE **ppDstBuf, DWORD *pdwDstSize);

protected:
	HMODULE		m_hLib;
	IB25Decoder *m_pDecorder;
};
